## org.codehaus.groovy.grails.web.binding
Class DataBindingUtils

    java.lang.Object
      org.codehaus.groovy.grails.web.binding.DataBindingUtils

    public class DataBindingUtils

extends Object

Utility methods to perform data binding from Grails objects

Since:
  1.0

  Created: Sep 13, 2007 Time: 2:34:11 PM
Author:
  Graeme Rocher

Constructor Summary
`DataBindingUtils()`

Method Summary
`static BindingResult` `bindObjectToInstance(Object object, Object source)` Binds the given source object to the given target object performing type conversion if necessary
`static BindingResult` `bindObjectToInstance(Object object, Object source, List include, List exclude, String filter)` Binds the given source object to the given target object performing type conversion if necessary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataBindingUtils

    public DataBindingUtils()

Method Detail

### bindObjectToInstance

    public static BindingResult bindObjectToInstance(Object object,
                                                     Object source)

  Binds the given source object to the given target object performing type conversion if necessary

  Parameters:
    `object` - The object to bind to
    `source` - The source object
  Returns:
    A BindingResult or null if it wasn't successful

### bindObjectToInstance

    public static BindingResult bindObjectToInstance(Object object,
                                                     Object source,
                                                     List include,
                                                     List exclude,
                                                     String filter)

  Binds the given source object to the given target object performing type conversion if necessary

  Parameters:
    `object` - The object to bind to
    `source` - The source object
    `include` - The list of properties to include
    `exclude` - The list of properties to exclude
  Returns:
    A BindingResult or null if it wasn't successful

Copyright (c) 2005-2006 The Grails project